#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Opus-1.3.1

- Next

  PulseAudio-14.2

- Up
- Home

# Pipewire-0.3.22

## Introduction to Pipewire

The pipewire package contains a server and user-space API to handle multimedia pipelines. This includes a universal API to connect to multimedia devices, as well as sharing multimedia files between applications.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/PipeWire/pipewire/archive/0.3.22/pipewire-0.3.22.tar.gz

- Download MD5 sum: ea84d6b15450af9322555454cbf6fe64

- Download size: 1.2 MB

- Estimated disk space required: 124 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4; with tests)

### Pipewire Dependencies

#### Required

BlueZ-5.55, FFmpeg-4.3.2, gstreamer-1.18.3, gst-plugins-base-1.18.3, libva-2.10.0, PulseAudio-14.2, SBC-1.5, SDL2-2.0.14, and v4l-utils-1.20.0

#### Optional

Valgrind-3.16.1, Doxygen-1.9.1 and Graphviz-2.44.1 (for documentation), JACK, ldacBT, Vulkan, and xmltoman

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/pipewire

## Installation of Pipewire

Install pipewire by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr           \
          -Djack=false            \
          -Dpipewire-jack=false   \
          -Dvulkan=false          \
          ..                      &&
    ninja

To test the result, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Djack=false`: This switch prevents building the JACK plugin since JACK is not in BLFS.

`-Dpipewire-jack=false`: This switch prevents building JACK support into pipewire since JACK is not in BLFS.

`-Dvulkan=false`: This switch prevents building Vulkan API support into pipewire since Vulkan is not in BLFS.

`-Ddocs=true`: This switch enables the generation of HTML documentation. The optional dependencies for documentation need to be installed for this to work.

`-Dman=true`: This switch enables the generation of manual pages. The optional dependencies for documentation need to be installed for this to work.

## Contents

Installed Programs: pipewire, pipewire-media-session, pipewire-pulse, pw-cat, pw-cli, pw-dot, pw-dump, pw-metadata, pw-mididump, pw-mon, pw-profiler, pw-reserve, pw-top, spa-acp-tool, spa-inspect, spa-monitor, spa-resample, and pw-midiplay, pw-midirecord, pw-play, and pw-record (symlinks to pw-cat)
Installed Libraries: libpipewire-0.3.so and 30 modules below /usr/lib/pipewire-0.3
Installed Directories: /etc/pipewire, /usr/include/pipewire-0.3, /usr/include/spa-0.2, /usr/lib/alsa-lib, /usr/lib/gstreamer-1.0, /usr/lib/pipewire-0.3, and /usr/lib/spa-0.2

### Short Descriptions

pipewire | is a service that allows access to multimedia devices and allows sharing of multimedia files between applications
pipewire-media-session | is a service that allows a desktop environment to know when media files are being played through pipewire
pipewire-pulse | starts a Pulseaudio-compatible version of the pipewire service
pw-cat | allows you to play or record media using a pipewire instance
pw-cli | allows you to interact with a pipewire instance
pw-dot | lists all of the daemons and objects in use by pipewire
pw-dump | dumps debug messages from a local or remote pipewire instance to the console
pw-metadata | inspects, adds, and removes metadata for objects
pw-mididump | dumps MIDI messages from a file to the screen
pw-mon | allows you to monitor pipewire instances
pw-profiler | tracks memory usage and API calls used by pipewire
pw-reserve | reserves or monitors a device via D-Bus
pw-top | displays real-time performance information from pipewire
spa-acp-tool | inspects the card profile of a given sound card
spa-inspect | allows you to inspect pipewire plugins
spa-monitor | allows you to monitor pipewire plugins
spa-resample | resamples a given file
`libpipewire-0.3.so` | contains API functions for handling multimedia pipelines

Last updated on 2021-02-23 19:37:14 -0800

- Prev

  Opus-1.3.1

- Next

  PulseAudio-14.2

- Up
- Home